Bug 814265 - nlm: nlokmgr does not come up with volume stop/start
nlm: nlokmgr does not come up with volume stop/start
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vinayaga Raman
Saurabh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-19 09:48 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-04-19 09:48:52 EDT
Description of problem:
[2012-04-19 13:54:23.627824] I [client-handshake.c:1632:select_server_supported_programs] 0-dist-client-0: Using Program GlusterFS 3.3.
0qa35, Num (1298437), Version (330)
[2012-04-19 13:54:23.628459] I [client-handshake.c:1429:client_setvolume_cbk] 0-dist-client-0: Connected to 172.17.251.72:24010, attach
ed to remote volume '/export/dist'.
[2012-04-19 13:54:23.628503] I [client-handshake.c:1441:client_setvolume_cbk] 0-dist-client-0: Server and Client lk-version numbers are
 not same, reopening the fds
[2012-04-19 13:54:23.628922] I [client-handshake.c:456:client_set_lk_version_cbk] 0-dist-client-0: Server lk version = 1
[2012-04-19 13:54:31.698885] I [glusterfsd.c:1628:main] 0-/usr/sbin/glusterfs: Started running /usr/sbin/glusterfs version 3.3.0qa35
[2012-04-19 13:54:31.801893] E [nlm4.c:1848:nlm4svc_init] 0-nfs-NLM: unable to start rpc.statd
[2012-04-19 13:54:31.801946] E [nfs.c:786:init] 0-nfs: Failed to initialize protocols
[2012-04-19 13:54:31.812439] W [graph.c:325:_log_if_unknown_option] 0-nfs-server: option 'rpc-auth.auth-glusterfs' is not recognized
[2012-04-19 13:54:31.812488] W [graph.c:325:_log_if_unknown_option] 0-nfs-server: option 'rpc-auth-allow-insecure' is not recognized
[2012-04-19 13:54:31.812514] W [graph.c:325:_log_if_unknown_option] 0-nfs-server: option 'transport-type' is not recognized



Version-Release number of selected component (if applicable):
3.3.0qa35

How reproducible:
always

Steps to Reproduce:
1. create distribute-replicate volume
2. try to stop and start the volume 
3. 
  
Actual results:
the nlockmgr does not come up


Expected results:
the nlm is suppose to be started.


Additional info:
Comment 1 Anand Avati 2012-04-23 03:20:14 EDT
CHANGE: http://review.gluster.com/3206 (nfs/nlm: remove /var/run/rpc.statd.pid before starting rpc.statd.) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.